Subject: [mpls] [Gen-art] Review: draft-ietf-mpls-lsp-ping-relay-reply-10

From: "Joel M. Halpern" <[email-masked]>
Date: Thu, 17 Sep 2015 21:35:34 -0400

I am the assigned Gen-ART reviewer for this draft. The General Area
Review Team (Gen-ART) reviews all IETF documents being processed
by the IESG for the IETF Chair.  Please treat these comments just
like any other last call comments.

For more information, please see the FAQ at

<http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>.

Document: draft-ietf-mpls-lsp-ping-relay-reply-10
     Relayed Echo Reply mechanism for LSP Ping
Reviewer: Joel M. Halpern
Review Date: 17-September-2015
IETF LC End Date: 25-Sept-2015
IESG Telechat date: N/A

Summary: This document is ready for publication as a Proposed Standard

Major issues: none

Minor issues:
     In this document, the address stack grows downward.  While 
reasonable, I think that in the absence of warning of this, readers are 
likely to be confused when they read the detailed procedures.  I think 
the document would be helped by adding the sentence:
     "This stack grows downward, with addresses further along the LSP 
appearing lower down in the stack."
    This could appear right after:
     "-  Stack of Relayed Addresses: a list of relay node addresses."
in section 3.2.

Nits/editorial comments: